#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  libaom-3.13.3

- Next

  libcanberra-0.30

- Up
- Home

# libass-0.17.4

## Introduction to libass

libass is a portable subtitle renderer for the ASS/SSA (Advanced Substation Alpha/Substation Alpha) subtitle format that allows for more advanced subtitles than the conventional SRT and similar formats.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://github.com/libass/libass/releases/download/0.17.4/libass-0.17.4.tar.xz

- Download MD5 sum: 10963e702850fd888cb270abcbe852c3

- Download size: 444 KB

- Estimated disk space required: 8.0 MB

- Estimated build time: 0.1 SBU

### libass Dependencies

#### Required

FreeType-2.14.3 and FriBidi-1.0.16

#### Recommended

Fontconfig-2.17.1 and NASM-3.01

#### Optional

harfBuzz-14.2.0 and libunibreak

## Installation of libass

Install libass by running the following commands:

    ./configure --prefix=/usr --disable-static &&
    make

To test the results, issue: make check.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--disable-fontconfig`: Use this switch if you didn't install Fontconfig.

## Contents

Installed Programs: None
Installed Library: libass.so
Installed Directory: /usr/include/ass

### Short Descriptions

`libass.so` | provides the functions used to render ASS/SSA subtitle format

- Prev

  libaom-3.13.3

- Next

  libcanberra-0.30

- Up
- Home